Package ghidra.program.util

# Class FunctionChangeRecord

java.lang.Object
ghidra.framework.model.DomainObjectChangeRecord
ghidra.program.util.ProgramChangeRecord
ghidra.program.util.FunctionChangeRecord

All Implemented Interfaces:
  `Serializable`

public class FunctionChangeRecord extends ProgramChangeRecord

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `FunctionChangeRecord.FunctionChangeType`
  Specific function changes types for when the ProgramEvent is FUNCTION_CHANGED

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionChangeRecord(Function function, FunctionChangeRecord.FunctionChangeType changeType)`
  Constructs a new Function change record.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Function`
  `getFunction()`
  Returns the function that was changed.
  `FunctionChangeRecord.FunctionChangeType`
  `getSpecificChangeType()`
  Returns the specific type of function change.
  `boolean`
  `isFunctionModifierChange()`
  Returns true if the specific change was to one of the function's modifier properties.
  `boolean`
  `isFunctionSignatureChange()`
  Returns true if the specific change was related to the function signature.

  ### Methods inherited from class ghidra.program.util.ProgramChangeRecord

  `getEnd, getObject, getStart, toString`

  ### Methods inherited from class ghidra.framework.model.DomainObjectChangeRecord

  `getEventType, getNewValue, getOldValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionChangeRecord

    public FunctionChangeRecord(Function function, FunctionChangeRecord.FunctionChangeType changeType)
    Constructs a new Function change record.
    Parameters:
      `function` - the function that was changed
      `changeType` - the specific type of change that was applied to the function

- ## Method Details

  - ### getSpecificChangeType

    public FunctionChangeRecord.FunctionChangeType getSpecificChangeType()
    Returns the specific type of function change.
    Returns:
      the specific type of function change

  - ### getFunction

    public Function getFunction()
    Returns the function that was changed.
    Returns:
      the function that was changed

  - ### isFunctionSignatureChange

    public boolean isFunctionSignatureChange()
    Returns true if the specific change was related to the function signature.
    Returns:
      true if the specific change was related to the function signature

  - ### isFunctionModifierChange

    public boolean isFunctionModifierChange()
    Returns true if the specific change was to one of the function's modifier properties.
    Returns:
      true if the specific change was to one of the function's modifier properties